VkDeviceGroupSubmitInfo Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
uint32_t | waitSemaphoreCount
const uint32_t * | pWaitSemaphoreDeviceIndices
uint32_t | commandBufferCount
const uint32_t * | pCommandBufferDeviceMasks
uint32_t | signalSemaphoreCount
const uint32_t * | pSignalSemaphoreDeviceIndices

## Detailed Description

Definition at line 4071 of file vulkan_core.h.

## Field Documentation

## commandBufferCount

uint32_t VkDeviceGroupSubmitInfo::commandBufferCount

Definition at line 4076 of file vulkan_core.h.

## pCommandBufferDeviceMasks

const uint32_t* VkDeviceGroupSubmitInfo::pCommandBufferDeviceMasks

Definition at line 4077 of file vulkan_core.h.

## pNext

const void* VkDeviceGroupSubmitInfo::pNext

Definition at line 4073 of file vulkan_core.h.

## pSignalSemaphoreDeviceIndices

const uint32_t* VkDeviceGroupSubmitInfo::pSignalSemaphoreDeviceIndices

Definition at line 4079 of file vulkan_core.h.

## pWaitSemaphoreDeviceIndices

const uint32_t* VkDeviceGroupSubmitInfo::pWaitSemaphoreDeviceIndices

Definition at line 4075 of file vulkan_core.h.

## signalSemaphoreCount

uint32_t VkDeviceGroupSubmitInfo::signalSemaphoreCount

Definition at line 4078 of file vulkan_core.h.

## sType

VkStructureType VkDeviceGroupSubmitInfo::sType

Definition at line 4072 of file vulkan_core.h.

## waitSemaphoreCount

uint32_t VkDeviceGroupSubmitInfo::waitSemaphoreCount

Definition at line 4074 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h